Subject: Re: How to permanently change default sound input source? <Solved>

From: Frédéric Mesplède <[email-masked]>
Date: Sun, 18 Sep 2016 18:51:26 +0200

2016-09-05 21:21 GMT+02:00 didier gaumet <[email-masked]>:
>
> 1) pacmd modifies only a running instance of pulseaudio: all is lost
> when pulseaudio stops
> 2) to alter permanently the default source input in pulseaudio, you may
> edit your client config' file (cf man pulse-client.conf)
> 3) mate-media depends either on mate-media-gstreamer or
> mate-media-pulse: if the former is installed, install
> gstreamer0.10-pulseaudio and gstreamer1.0-pulseaudio in order for the
> mate sound control to manage pulseaudio
> 4) I do not know the mate sound applet, but judging by the xfce applet I
> use, you probably have to select pulseaudio instead of alsa in its
> config dialog
>
>

mate-media depends on mate-media-pulse, so I installed
gstreamer0.10-pulseaudio and gstreamer1.0-pulseaudio. I edited
/etc/pulse/client.conf and /etc/pulse/default.pa with my usb camera
microphone as default audio source and it worked!

Thank you for your help!